PKGCTL-DIFF(1)

NUME
pkgctl-diff - compară fișiere de pachete folosind diferite moduri

SINOPSIS

pkgctl diff [OPȚIUNI] [MODURI] [FIȘIER|NUME_PACHET...]

DESCRIERE

Caută un pachet construit local corespunzător PKGBUILD și descarcă ultima versiune a pachetului respectiv din depozitele Pacman. Apoi compară arhivele pachetelor folosind diferite moduri, utilizând în mod implicit lista simplă de conținut tar.

Când se furnizează un pachet, îl folosește pentru a-l compara cu cel construit local. Când sunt furnizate două pachete, compară cele două pachete între ele.

În ambele cazuri, un nume de pachet va fi convertit într-un nume de fișier din cache sau pool, iar pkgctl diff va proceda ca și cum acest nume de fișier ar fi fost specificat inițial.

OPȚIUNI

-M, --makepkg-config
    Definește un fișier alternativ de configurare makepkg.

-P, --pool=DIRECTOR
    Caută ținta diff în directorul pool (implicit '/srv/ftp/pool')

-v, --verbose
    Furnizează rezultate mai detaliate/nefiltrate

-h, --help
    Afișează mesajul de ajutor

OPȚIUNI DE IEȘIRE

--color [=CÂND]
    Colorează ieșirea; CÂND este 'never'(niciodată), 'always'(întotdeauna), sau 'auto'; --color fără argumente, înseamnă --color=auto

-u, -U, --unified
    Afișează 3 linii de context unificat la ieșire

-y, --side-by-side
    Afișează ieșirea în două coloane

-W, --width[=NUMĂR]
    Afișează cel mult NUMĂR (implicit 'auto') coloane; NUM poate fi 'auto', 'columns' sau un număr. 'auto' va fi rezolvată la lungimea maximă a liniei din ambele fișiere, garantând că diferența nu va fi tăiată.

MODURI

-l, --list
    Activează modul de diferențiere a listei de conținut tar (implicit)

-d, --diffoscope
    Activează modul de diferențiere difoscop

-p, --pkginfo
    Activează modul de diferențiere .PKGINFO

-b, --buildinfo
    Activează modul de diferențiere .BUILDINFO

PAGINA WEB PRINCIPALĂ

Vă rugăm să raportați erorile și solicitările de caracteristici în sistemul de urmărire a problemelor. Vă rugăm să faceți tot posibilul pentru a furniza un caz de testare reproductibil pentru erori.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.